Index: perl/lib/Net/Jabber.pm
===================================================================
--- perl/lib/Net/Jabber.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/Jabber.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -61,9 +61,9 @@
     For a client:
       use Net::Jabber;
-      my $client = new Net::Jabber::Client();
+      my $client = Net::Jabber::Client->new();
 
     For a component:
       use Net::Jabber;
-      my $component = new Net::Jabber::Component();
+      my $component = Net::Jabber::Component->new();
 
 =head1 METHODS
Index: perl/lib/Net/Jabber/Component.pm
===================================================================
--- perl/lib/Net/Jabber/Component.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/Jabber/Component.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -54,5 +54,5 @@
     use Net::Jabber;
 
-    $Con = new Net::Jabber::Component();
+    $Con = Net::Jabber::Component->new();
 
     $Con->Execute(hostname=>"jabber.org",
Index: perl/lib/Net/Jabber/Data.pm
===================================================================
--- perl/lib/Net/Jabber/Data.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/Jabber/Data.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -56,5 +56,5 @@
   Net::Jabber::Client module.
 
-    my $xdb = new Net::Jabber::XDB(%hash);
+    my $xdb = Net::Jabber::XDB->new(%hash);
 
   There has been a change from the old way of handling the callbacks.
@@ -83,5 +83,5 @@
     use Net::Jabber;
 
-    my $xdb = new Net::Jabber::XDB();
+    my $xdb = Net::Jabber::XDB->new();
     $data = $xdb->NewData("jabber:iq:auth");
 
Index: perl/lib/Net/Jabber/Dialback.pm
===================================================================
--- perl/lib/Net/Jabber/Dialback.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/Jabber/Dialback.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -38,5 +38,5 @@
   the XML::Stream hash.  For example:
 
-    my $dialback = new Net::Jabber::Dialback(%hash);
+    my $dialback = Net::Jabber::Dialback->new(%hash);
 
   You now have access to all of the retrieval functions available.
@@ -46,6 +46,6 @@
     use Net::Jabber qw(Server);
 
-    $DB = new Net::Jabber::Dialback("verify");
-    $DB = new Net::Jabber::Dialback("result");
+    $DB = Net::Jabber::Dialback->new("verify");
+    $DB = Net::Jabber::Dialback->new("result");
 
   Please see the specific documentation for Net::Jabber::Dialback::Result
@@ -98,13 +98,13 @@
         {
             my ($temp) = @_;
-            return new Net::Jabber::Dialback::Result()
+            return Net::Jabber::Dialback::Result->new()
                 if ($temp eq "result");
-            return new Net::Jabber::Dialback::Verify()
+            return Net::Jabber::Dialback::Verify->new()
                 if ($temp eq "verify");
 
             my @temp = @{$temp};
-            return new Net::Jabber::Dialback::Result(@temp)
+            return Net::Jabber::Dialback::Result->new(@temp)
                 if ($temp[0] eq "db:result");
-            return new Net::Jabber::Dialback::Verify(@temp)
+            return Net::Jabber::Dialback::Verify->new(@temp)
                 if ($temp[0] eq "db:verify");
         }
Index: perl/lib/Net/Jabber/Dialback/Result.pm
===================================================================
--- perl/lib/Net/Jabber/Dialback/Result.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/Jabber/Dialback/Result.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -38,5 +38,5 @@
   the XML::Stream hash.  For example:
 
-    my $dialback = new Net::Jabber::Dialback::Result(%hash);
+    my $dialback = Net::Jabber::Dialback::Result->new(%hash);
 
   There has been a change from the old way of handling the callbacks.
@@ -63,5 +63,5 @@
     use Net::Jabber qw(Server);
 
-    $Result = new Net::Jabber::Dialback::Result();
+    $Result = Net::Jabber::Dialback::Result->new();
 
   Now you can call the creation functions below to populate the tag before
Index: perl/lib/Net/Jabber/Dialback/Verify.pm
===================================================================
--- perl/lib/Net/Jabber/Dialback/Verify.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/Jabber/Dialback/Verify.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -38,5 +38,5 @@
   the XML::Stream hash.  For example:
 
-    my $dialback = new Net::Jabber::Dialback::Verify(%hash);
+    my $dialback = Net::Jabber::Dialback::Verify->new(%hash);
 
   There has been a change from the old way of handling the callbacks.
@@ -63,5 +63,5 @@
     use Net::Jabber qw(Server);
 
-    $Verify = new Net::Jabber::Dialback::Verify();
+    $Verify = Net::Jabber::Dialback::Verify->new();
 
   Now you can call the creation functions below to populate the tag before
Index: perl/lib/Net/Jabber/IQ.pm
===================================================================
--- perl/lib/Net/Jabber/IQ.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/Jabber/IQ.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -63,7 +63,7 @@
 sub RemoveX  { my $self = shift; $self->RemoveChild(@_);  }
 
-sub _new_jid    { my $self = shift; return new Net::Jabber::JID(@_);    }
-sub _new_packet { my $self = shift; return new Net::Jabber::Stanza(@_); }
-sub _iq         { my $self = shift; return new Net::Jabber::IQ(@_);     }
+sub _new_jid    { my $self = shift; return Net::Jabber::JID->new(@_);    }
+sub _new_packet { my $self = shift; return Net::Jabber::Stanza->new(@_); }
+sub _iq         { my $self = shift; return Net::Jabber::IQ->new(@_);     }
 
 1;
Index: perl/lib/Net/Jabber/Key.pm
===================================================================
--- perl/lib/Net/Jabber/Key.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/Jabber/Key.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -41,5 +41,5 @@
 =head2 Basic Functions
 
-    $Key = new Net::Jabber::Key();
+    $Key = Net::Jabber::Key->new();
 
     $key = $Key->Generate();
@@ -97,6 +97,6 @@
     my $self = { };
 
-    $self->{DEBUG} = new Net::Jabber::Debug(usedefault=>1,
-                      header=>"NJ::Key");
+    $self->{DEBUG} = Net::Jabber::Debug->new(usedefault=>1,
+                                             header=>"NJ::Key");
 
     $self->{VERSION} = $VERSION;
Index: perl/lib/Net/Jabber/Log.pm
===================================================================
--- perl/lib/Net/Jabber/Log.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/Jabber/Log.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -38,5 +38,5 @@
   XML::Parser Tree array.  For example:
 
-    my $log = new Net::Jabber::Log(@tree);
+    my $log = Net::Jabber::Log->new(@tree);
 
   There has been a change from the old way of handling the callbacks.
@@ -59,5 +59,5 @@
     use Net::Jabber;
 
-    $Log = new Net::Jabber::Log();
+    $Log = Net::Jabber::Log->new();
 
   Now you can call the creation functions below to populate the tag before
@@ -176,6 +176,6 @@
     bless($self, $proto);
 
-    $self->{DEBUG} = new Net::Jabber::Debug(usedefault=>1,
-                                                    header=>"NJ::Log");
+    $self->{DEBUG} = Net::Jabber::Debug->new(usedefault=>1,
+                                             header=>"NJ::Log");
 
     if ("@_" ne (""))
Index: perl/lib/Net/Jabber/Message.pm
===================================================================
--- perl/lib/Net/Jabber/Message.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/Jabber/Message.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -58,7 +58,7 @@
 sub RemoveX  { my $self = shift; $self->RemoveChild(@_); }
 
-sub _new_jid    { my $self = shift; return new Net::Jabber::JID(@_);     }
-sub _new_packet { my $self = shift; return new Net::Jabber::Stanza(@_);  }
-sub _message    { my $self = shift; return new Net::Jabber::Message(@_); }
+sub _new_jid    { my $self = shift; return Net::Jabber::JID->new(@_);     }
+sub _new_packet { my $self = shift; return Net::Jabber::Stanza->new(@_);  }
+sub _message    { my $self = shift; return Net::Jabber::Message->new(@_); }
 
 1;
Index: perl/lib/Net/Jabber/Presence.pm
===================================================================
--- perl/lib/Net/Jabber/Presence.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/Jabber/Presence.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -58,7 +58,7 @@
 sub RemoveX  { my $self = shift; $self->RemoveChild(@_); }
 
-sub _new_jid    { my $self = shift; return new Net::Jabber::JID(@_);      }
-sub _new_packet { my $self = shift; return new Net::Jabber::Stanza(@_);   }
-sub _presence   { my $self = shift; return new Net::Jabber::Presence(@_); }
+sub _new_jid    { my $self = shift; return Net::Jabber::JID->new(@_);      }
+sub _new_packet { my $self = shift; return Net::Jabber::Stanza->new(@_);   }
+sub _presence   { my $self = shift; return Net::Jabber::Presence->new(@_); }
 
 1;
Index: perl/lib/Net/Jabber/Protocol.pm
===================================================================
--- perl/lib/Net/Jabber/Protocol.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/Jabber/Protocol.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -78,5 +78,5 @@
 
     use Net::Jabber qw( Client );
-    $Con = new Net::Jabber::Client();                # From
+    $Con = Net::Jabber::Client->new();                # From
     $status = $Con->Connect(hostname=>"jabber.org"); # Net::Jabber::Client
 
@@ -84,5 +84,5 @@
 
     use Net::Jabber qw( Component );
-    $Con = new Net::Jabber::Component();             #
+    $Con = Net::Jabber::Component->new();             #
     $status = $Con->Connect(hostname=>"jabber.org",  # From
                             secret=>"bob");          # Net::Jabber::Component
@@ -1660,5 +1660,5 @@
         if exists($Net::Jabber::Query::TAGS{'http://jabber.org/protocol/feature-neg'});
     
-    my $query = new Net::Jabber::Query($tag);
+    my $query = Net::Jabber::Query->new($tag);
     $query->SetXMLNS("http://jabber.org/protocol/feature-neg");
     my $xdata = $query->NewX("jabber:x:data");
@@ -2183,5 +2183,5 @@
     while($#_ >= 0) { $args{ lc pop(@_) } = pop(@_); }
 
-    my $query = new Net::Jabber::Stanza("query");
+    my $query = Net::Jabber::Stanza->new("query");
     $query->SetXMLNS("jabber:iq:rpc");
 
Index: perl/lib/Net/Jabber/Server.pm
===================================================================
--- perl/lib/Net/Jabber/Server.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/Jabber/Server.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -54,5 +54,5 @@
     use Net::Jabber qw(Server);
 
-    $Server = new Net::Jabber::Server();
+    $Server = Net::Jabber::Server->new();
 
     $Server->Start();
@@ -155,13 +155,13 @@
     bless($self, $proto);
 
-    $self->{KEY} = new Net::Jabber::Key();
+    $self->{KEY} = Net::Jabber::Key->new();
 
     $self->{DEBUG} =
-        new Net::Jabber::Debug(level=>exists($args{debuglevel}) ? $args{debuglevel} : -1,
-                               file=>exists($args{debugfile}) ? $args{debugfile} : "stdout",
-                               time=>exists($args{debugtime}) ? $args{debugtime} : 0,
-                               setdefault=>1,
-                               header=>"NJ::Server"
-                              );
+        Net::Jabber::Debug->new(level=>exists($args{debuglevel}) ? $args{debuglevel} : -1,
+                                file=>exists($args{debugfile}) ? $args{debugfile} : "stdout",
+                                time=>exists($args{debugtime}) ? $args{debugtime} : 0,
+                                setdefault=>1,
+                                header=>"NJ::Server"
+                               );
 
     $self->{SERVER} = { hostname => "localhost",
@@ -329,5 +329,5 @@
     $self->{DEBUG}->Log2("dbresultHandler: dbresult(",$dbresult->GetXML(),")");
 
-    my $dbverify = new Net::Jabber::Dialback::Verify();
+    my $dbverify = Net::Jabber::Dialback::Verify->new();
     $dbverify->SetVerify(to=>$dbresult->GetFrom(),
                          from=>$dbresult->GetTo(),
Index: perl/lib/Net/Jabber/Stanza.pm
===================================================================
--- perl/lib/Net/Jabber/Stanza.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/Jabber/Stanza.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -1738,6 +1738,6 @@
 sub RemoveQuery  { my $self = shift; $self->RemoveChild(@_);  }
 
-sub _new_jid    { my $self = shift; return new Net::Jabber::JID(@_);    }
-sub _new_packet { my $self = shift; return new Net::Jabber::Stanza(@_); }
+sub _new_jid    { my $self = shift; return Net::Jabber::JID->new(@_);    }
+sub _new_packet { my $self = shift; return Net::Jabber::Stanza->new(@_); }
 
 
Index: perl/lib/Net/Jabber/XDB.pm
===================================================================
--- perl/lib/Net/Jabber/XDB.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/Jabber/XDB.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -44,5 +44,5 @@
   XML::Parser Tree array.  For example:
 
-    my $xdb = new Net::Jabber::XDB(@tree);
+    my $xdb = Net::Jabber::XDB->new(@tree);
 
   There has been a change from the old way of handling the callbacks.
@@ -65,5 +65,5 @@
     use Net::Jabber;
 
-    $XDB = new Net::Jabber::XDB();
+    $XDB = Net::Jabber::XDB->new();
     $XDBType = $XDB->NewData( type );
     $XDBType->SetXXXXX("yyyyy");
@@ -418,5 +418,5 @@
     while($#_ >= 0) { $args{ lc pop(@_) } = pop(@_); }
 
-    my $reply = new Net::Jabber::XDB();
+    my $reply = Net::Jabber::XDB->new();
 
     $reply->SetID($self->GetID()) if ($self->GetID() ne "");
Index: perl/lib/Net/XMPP.pm
===================================================================
--- perl/lib/Net/XMPP.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/XMPP.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -61,5 +61,5 @@
 
       use Net::XMPP;
-      my $client = new Net::XMPP::Client();
+      my $client = Net::XMPP::Client->new();
 
 =head1 METHODS
Index: perl/lib/Net/XMPP/Client.pm
===================================================================
--- perl/lib/Net/XMPP/Client.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/XMPP/Client.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -54,5 +54,5 @@
     use Net::XMPP;
 
-    $Con = new Net::XMPP::Client();
+    $Con = Net::XMPP::Client->new();
 
     $Con->SetCallbacks(...);
Index: perl/lib/Net/XMPP/Debug.pm
===================================================================
--- perl/lib/Net/XMPP/Debug.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/XMPP/Debug.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -39,5 +39,5 @@
 =head2 Basic Functions
 
-    $Debug = new Net::XMPP::Debug();
+    $Debug = Net::XMPP::Debug->new();
 
     $Debug->Init(level=>2,
@@ -86,5 +86,5 @@
 =head1 EXAMPLE
 
-  $Debug = new Net::XMPP:Debug(level=>2,
+  $Debug = Net::XMPP:Debug->new(level=>2,
                                header=>"Example");
 
Index: perl/lib/Net/XMPP/IQ.pm
===================================================================
--- perl/lib/Net/XMPP/IQ.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/XMPP/IQ.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -62,5 +62,5 @@
     use Net::XMPP;
 
-    $IQ = new Net::XMPP::IQ();
+    $IQ = Net::XMPP::IQ->new();
     $IQType = $IQ->NewChild( type );
     $IQType->SetXXXXX("yyyyy");
@@ -291,5 +291,5 @@
 }
 
-sub _iq { my $self = shift; return new Net::XMPP::IQ(); }
+sub _iq { my $self = shift; return Net::XMPP::IQ->new(); }
 
 $FUNCTIONS{Error}->{path} = 'error/text()';
Index: perl/lib/Net/XMPP/JID.pm
===================================================================
--- perl/lib/Net/XMPP/JID.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/XMPP/JID.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -42,7 +42,7 @@
 
     sub foo {
-      my $foo = new Net::XMPP::Foo(@_);
+      my $foo = Net::XMPP::Foo->new(@_);
       my $from = $foo->GetFrom();
-      my $JID = new Net::XMPP::JID($from);
+      my $JID = Net::XMPP::JID->new($from);
       .
       .
@@ -56,5 +56,5 @@
     use Net::XMPP;
 
-    $JID = new Net::XMPP::JID();
+    $JID = Net::XMPP::JID->new();
 
   Now you can call the creation functions below to populate the tag
Index: perl/lib/Net/XMPP/Message.pm
===================================================================
--- perl/lib/Net/XMPP/Message.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/XMPP/Message.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -55,5 +55,5 @@
     use Net::XMPP;
 
-    $Mess = new Net::XMPP::Message();
+    $Mess = Net::XMPP::Message->new();
 
   Now you can call the creation functions below to populate the tag
@@ -315,5 +315,5 @@
 }
 
-sub _message { my $self = shift; return new Net::XMPP::Message(); }
+sub _message { my $self = shift; return Net::XMPP::Message->new(); }
 
 
Index: perl/lib/Net/XMPP/Presence.pm
===================================================================
--- perl/lib/Net/XMPP/Presence.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/XMPP/Presence.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -55,5 +55,5 @@
     use Net::XMPP;
 
-    $Pres = new Net::XMPP::Presence();
+    $Pres = Net::XMPP::Presence->new();
 
   Now you can call the creation functions below to populate the tag
@@ -270,5 +270,5 @@
 }
 
-sub _presence { my $self = shift; return new Net::XMPP::Presence(); }
+sub _presence { my $self = shift; return Net::XMPP::Presence->new(); }
 
 
Index: perl/lib/Net/XMPP/Protocol.pm
===================================================================
--- perl/lib/Net/XMPP/Protocol.pm	(revision 3405394a4bc94db226190860a9eecd622a200661)
+++ perl/lib/Net/XMPP/Protocol.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -74,5 +74,5 @@
 
     use Net::XMPP qw( Client );
-    $Con = new Net::XMPP::Client();                  # From
+    $Con = Net::XMPP::Client->new();                  # From
     $status = $Con->Connect(hostname=>"jabber.org"); # Net::XMPP::Client
 
@@ -2049,5 +2049,5 @@
     my $self = shift;
 
-    return new Net::XMPP::PrivacyLists(connection=>$self);
+    return Net::XMPP::PrivacyLists->new(connection=>$self);
 }
 
@@ -2372,5 +2372,5 @@
     my $self = shift;
 
-    return new Net::XMPP::Roster(connection=>$self);
+    return Net::XMPP::Roster->new(connection=>$self);
 }
 
Index: perl/lib/Net/XMPP/Roster.pm
===================================================================
--- perl/lib/Net/XMPP/Roster.pm	(revision 91bf213162123115298668aac392d049ea31c32a)
+++ perl/lib/Net/XMPP/Roster.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -41,7 +41,7 @@
 =head2 Basic Functions
 
-  my $Client = new Net::XMPP::Client(...);
-
-  my $Roster = new Net::XMPP::Roster(connection=>$Client);
+  my $Client = Net::XMPP::Client->new(...);
+
+  my $Roster = Net::XMPP::Roster->new(connection=>$Client);
     or
   my $Roster = $Client->Roster();
Index: perl/lib/Net/XMPP/Stanza.pm
===================================================================
--- perl/lib/Net/XMPP/Stanza.pm	(revision 0ff8d110c15c82bd1a982de30adadd5000de850b)
+++ perl/lib/Net/XMPP/Stanza.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -216,6 +216,6 @@
 use vars qw( $AUTOLOAD %FUNCTIONS $DEBUG );
 
-$DEBUG = new Net::XMPP::Debug(usedefault=>1,
-                              header=>"XMPP");
+$DEBUG = Net::XMPP::Debug->new(usedefault=>1,
+                               header=>"XMPP");
 
 # XXX need to look at evals and $@
@@ -1412,5 +1412,5 @@
 {
     my $self = shift;
-    return new Net::XMPP::JID(@_);
+    return Net::XMPP::JID->new(@_);
 }
 
@@ -1424,5 +1424,5 @@
 {
     my $self = shift;
-    return new Net::XMPP::Stanza(@_);
+    return Net::XMPP::Stanza->new(@_);
 }
 
Index: perl/lib/XML/Stream.pm
===================================================================
--- perl/lib/XML/Stream.pm	(revision a75309a3bdce4016ce518ac203af1eab23b21712)
+++ perl/lib/XML/Stream.pm	(revision cb545277d72d9412e8587f07babff4a6fb083a9a)
@@ -681,5 +681,5 @@
         if ($NETDNS)
         {
-            my $res = new Net::DNS::Resolver();
+            my $res = Net::DNS::Resolver->new();
             my $query = $res->query($self->{SIDS}->{newconnection}->{srv}.".".$self->{SIDS}->{newconnection}->{hostname},"SRV");
             
